Subject: Re: [PATCH 19/21] t9003: become resilient to GETTEXT_POISON

From: Vasco Almeida <[email-masked]>
Date: Fri, 20 May 2016 18:21:39 +0000

Às 17:59 de 20-05-2016, Junio C Hamano escreveu:
> As long as translators do not translate "Did you mean..." to begin a
> line with a tab (which I do not think there is any reason to), it is
> going to work reliably to grep for "^ lgf$" here, and it will catch
> such a potential future bug under GETTEXT_POISON build.

Translations don't affect the tests since they're run with C locale.
I think all tests source test-lib.sh which does:

	# For repeatability, reset the environment to known value.
	# TERM is sanitized below, after saving color control sequences.
	LANG=C
	LC_ALL=C
	PAGER=cat
	TZ=UTC
	export LANG LC_ALL PAGER TZ

So, I'll remove sed command and use grep the way you said it, in the
next re-roll.